List team API keys
curl --request GET \
--url https://app.nudgen.net/api/v1/settings/team-api-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.nudgen.net/api/v1/settings/team-api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/settings/team-api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"apiKeys": [
{
"id": "<string>",
"name": "<string>",
"keyPrefix": "<string>",
"scopes": [
"campaigns:trigger"
],
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}API reference
List team API keys
Owner or admin only. Raw key secrets are never returned by this endpoint.
GET
/
api
/
v1
/
settings
/
team-api-keys
List team API keys
curl --request GET \
--url https://app.nudgen.net/api/v1/settings/team-api-keys \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.nudgen.net/api/v1/settings/team-api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.nudgen.net/api/v1/settings/team-api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"apiKeys": [
{
"id": "<string>",
"name": "<string>",
"keyPrefix": "<string>",
"scopes": [
"campaigns:trigger"
],
"lastUsedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Was this page helpful?